{% extends 'dashboard/dashboard.twig' %}

{% block title %}Grades | GradeBook{% endblock %}
{% block stylesheets %}
        <link rel="stylesheet" type="text/css" href="{{ asset('css/main.css') }}">
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('js/main.js') }}" type="text/javascript"></script>
{% endblock %}

{% block body %}

<div id="table">
    <div id="table-title">
        <div id="table-title-text">
            <h3>{{ title }}</h3>
            {% if is_granted('ROLE_TEACHER') %}
            <a href="{{ url('add-grade') }}"<i class="fas fa-plus-square"></i></a>
            {% endif %}
        </div>
    </div>
    <div id="list">
        <table>
            <tr>
                <th>Name</th>
                <th>Class</th>
                <th>Result</th>
                <th>Type</th>
                <th>Date</th>
                <th id="action-th">Action</th>
            </tr>
            {% for grade in grades %}
            <tr>
                <td>{{ grade.student.name }} {{ grade.student.surname }} {{ grade.student.class }}</td>
                <td>{{ grade.class }}</td>
                <td>{{ grade.result }}</td>
                <td>{{ grade.type }}</td>
                <td>{{ grade.date|date("m/d/Y") }}</td>
                <td id="action-td"><a href="{{ path('edit-grade', {'id': grade.id}) }}"><i class="fas fa-edit"></i></a><a onclick="deleteAlertGrade({{ grade.id }})"><i class="fas fa-trash-alt"></i></a></td>
            </tr>
            {% endfor %}
        </table>
    </div>
</div>

{% endblock %}